Pinax
    EVM and SVM onchain data endpoints, plus API documentation and monitoring.
    Resources & endpoints
    EVM Tokens (Native)

    Native Holders

    Returns the top holders of the native token, ranked by balance.
    GET
    https://api.pinax.network/v1/evm/holders/native
    Requires bearer token — sign in to inject your team’s key.

    Supported networks (9)

    Arbitrum OneArbitrum OneAvalancheAvalancheBaseBaseBNBBNBHyperEVMHyperEVMEthereumEthereumOptimismOptimismPolygonPolygonUnichainUnichain

    Required parameters

    NameTypeDescription
    networkrequired
    query
    Enum · 9The Graph Network ID for EVM networks https://thegraph.com/networks
    arbitrum-oneavalanchebasebschyperevmmainnetoptimismpolygonunichain
    e.g. mainnet

    Optional parameters

    NameTypeDescription
    limit
    query
    integerNumber of items* returned in a single request.
    *Plan restricted.
    page
    query
    integerPage number to fetch.
    Empty data array signifies end of results.

    Response

    200 OK
    {
      "data": [
        {
          "last_update": "2026-01-23 20:25:35",
          "last_update_block_num": 24299860,
          "last_update_timestamp": 1769199935,
          "address": "0x00000000219ab540356cbb839cbe05303d7705fa",
          "amount": "78761803578844096172899779",
          "value": 78761803.5788441,
          "is_contract": true,
          "name": "Ethereum",
          "symbol": "ETH",
          "decimals": 18,
          "network": "mainnet"
        }
      ]
    }